> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/ethereum/ethereum-raw-api/net_listening.md).

# net\_listening

Returns true if a client is actively listening for network connections.

#### **Parameters:**

None

#### **Returns:**

**Boolean** - true when listening, otherwise false.

#### Example:

{% code overflow="wrap" %}

```python
// Request
curl https://ethereum.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"net_listening","params":[],"id":83}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": true
}
```

{% endcode %}
